{
  config,
  pkgs,
  lib,
  ...
}:
with lib;
let
  cfg = config.dadada.steam;
in
{
  options = {
    dadada.steam = {
      enable = mkEnableOption "Enable Steam config";
    };
  };
  config = mkIf cfg.enable {
    hardware.graphics = {
      enable = true;
      extraPackages32 = with pkgs.pkgsi686Linux; [ libva ];
    };

    hardware.pulseaudio.support32Bit = true;
  };
}
